### Signal

# Ide SourceView::begin-rename

#### Declaration

    void
    begin_rename (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

This signal is emitted when the source view should begin a rename operation using the `IdeRenameProvider` from the underlying buffer. The cursor position will be used as the location when sending the request to the provider.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32